Package org.eclipse.m2m.atl.engine

## Class MarkerMaker

- java.lang.Object
- - org.eclipse.m2m.atl.engine.MarkerMaker

    public class MarkerMaker
    extends java.lang.Object

The MarkerMaker class.

### Field Summary

Fields
`static java.lang.String` `PROBLEM_MARKER` ATL Problem marker ID.

### Constructor Summary

Constructors
`MarkerMaker()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `applyMarkers​(org.eclipse.core.resources.IFile file, IModel pbs)` Transforms the Problem model given as argument into a set of markers.
`void` `resetPbmMarkers​(org.eclipse.core.resources.IResource res, org.eclipse.emf.ecore.EObject[] eos)` Resets the marker on a resource.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROBLEM_MARKER

    public static final java.lang.String PROBLEM_MARKER

ATL Problem marker ID.

See Also:
  Constant Field Values

### Constructor Detail

#### MarkerMaker

    public MarkerMaker()

### Method Detail

#### resetPbmMarkers

    public void resetPbmMarkers​(org.eclipse.core.resources.IResource res,
                                org.eclipse.emf.ecore.EObject[] eos)
                         throws org.eclipse.core.runtime.CoreException

Resets the marker on a resource.

Parameters:
  `res` - the resource
  `eos` - the problem list
Throws:
  `org.eclipse.core.runtime.CoreException`

#### applyMarkers

    public int applyMarkers​(org.eclipse.core.resources.IFile file,
                            IModel pbs)
                     throws org.eclipse.core.runtime.CoreException

Transforms the Problem model given as argument into a set of markers.

Parameters:
  `file` - Resource on which markers are to be added.
  `pbs` - The Problem model containing the problems.
Returns:
  The number of errors (Problems with severity #error).
Throws:
  `org.eclipse.core.runtime.CoreException`